global:
  registry: docker.io
  repository: freeleaps
  environment: dev
  nodeSelector: {}
dashboard:
  enabled: false
  name: freeleaps-prod-backend-dashboard
  title: Backend Service Dashboard
  metricsPrefix: freeleaps_backend
logIngest:
  enabled: false
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/freeleaps/*.log
  logPath: /app/log/freeleaps
freeleaps:
  replicas: 1
  image:
    registry:
    repository: freeleaps
    name: freeleaps
    tag: 1.0.0
    imagePullPolicy: IfNotPresent
  ports:
    - name: http
      containerPort: 8007
      protocol: TCP
  resources:
    requests:
      cpu: "0.5"
      memory: "512Mi"
    limits:
      cpu: "1"
      memory: "1Gi"
  # FIXME: Wait until the developers implements the probes APIs
  probes: {}
  services:
    - name: freeleaps-service
      type: ClusterIP
      port: 8007
      targetPort: 8007
      serviceMonitor:
        enabled: false
        labels:
          release: kube-prometheus-stack
        namespace: freeleaps-monitoring-system
        interval: 30s
        scrapeTimeout: ""
  # Defaults to {}, which means doesn't have any ingress
  ingresses: {}
  configs:
    # TZ
    tz: "UTC"
    # APP_NAME
    appName: "freeleaps"
    # SERVICE_API_ACCESS_HOST
    serviceApiAccessHost: "0.0.0.0"
    # SERVICE_API_ACCESS_PORT
    serviceApiAccessPort: "8013"
    # MONGODB_NAME
    mongodbName: ""
    # MONGODB_PORT
    mongodbPort: ''
    # EMAIL_FROM
    emailFrom: ""
    # SITE_URL_ROOT
    siteUrlRoot: ""
    # JWT_ALGORITHM
    jwtAlgorithm: ""
    # RABBITMQ_HOST
    rabbitmqHost: ""
    # RABBITMQ_PORT
    rabbitmqPort: 
    # RABBITMQ_USERNAME
    rabbitmqUsername: ""
    # FREELEAPS_DEVSVC_ENDPOINT
    freeleapsDevsvcEndpoint: ""
    # FREELEAPS_CONTENT_ENDPOINT
    freeleapsContentEndpoint: ""
    # FREELEAPS_CENTRAL_STORAGE_ENDPOINT
    freeleapsCentralStorageEndpoint: ""
    # FREELEAPS_CHAT_ENDPOINT
    freeleapsChatEndpoint: ""
    # FREELEAPS_PAYMENT_ENDPOINT
    freeleapsPaymentEndpoint: ""
    # FREELEAPS_AUTHENTICATION_ENDPOINT
    freeleapsAuthenticationEndpoint: ""
    # FREELEAPS_NOTIFICATION_ENDPOINT
    freeleapsNotificationEndpoint: ""
    # FREELEAPS_AILAB_ENDPOINT
    freeleapsAilabEndpoint: ""
    # APP_ENV
    appEnv: ""
    # REDIS_IS_CLUSTER
    redisIsCluster: "false"
    # METRICS_ENABLED
    metricsEnabled: "false"
    # PROBES_ENABLED
    probesEnabled: "false"
    # GITEA_ENDPOINT
    giteaEndpoint: ""

  vpa:
    minAllowed:
      enabled: true
      cpu: "100m"
      memory: "64Mi"
    maxAllowed:
      enabled: true
      cpu: "200m"
      memory: "128Mi"
    controlledResources:
      - cpu
      - memory
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: "freeleaps-freeleaps-secrets"
      creationPolicy: "Owner"
    refreshInterval: 30s
    data:
      - key: mongodbUri
        remoteRef:
          key: "freeleaps-mongodb-uri"
          type: Secret
      - key: jwtSecretKey
        remoteRef:
          key: "freeleaps-jwt-secret-key"
          type: Secret
      - key: stripeApiKey
        remoteRef:
          key: "freeleaps-stripe-api-key"
          type: Secret
      - key: stripeWebhookSecret
        remoteRef:
          key: "freeleaps-stripe-webhook-secret"
          type: Secret
      - key: stripeAccountWebhookSecret
        remoteRef:
          key: "freeleaps-stripe-account-webhook-secret"
          type: Secret
      - key: rabbitmqPassword
        remoteRef:
          key: "freeleaps-rabbitmq-password"
          type: Secret
      - key: redisUrl
        remoteRef:
          key: "freeleaps-redis-url"
          type: Secret
      - key: giteaApiKey
        remoteRef:
          key: "freeleaps-gitea-api-key"
          type: Secret